﻿@model IEnumerable<EnergyMission.Domain.Entities.ClientTeamEntity>


<link href="/Content/teams.css" type="text/css" rel="stylesheet" />
@{

    EnergyMission.Domain.Entities.ClientTeamEntity Location = new ClientTeamEntity();

    EnergyMission.Domain.Entities.ClientTeamSensorMapping objClientTeamSensorMapping = new ClientTeamSensorMapping();

}

  

@section Scripts {

    <script>

        $(document).ready(function () {

            $("#errorssms").hide();
            if (@ViewBag.turn == 1) {

                $("#editportion").hide();


            }

            else {

                $("#editportion").show();
                var TeamId=@ViewBag.TeamId;

                $.ajax({
                    type: "Get",

                    url: "/ClientTeams/EditTeamSensorPartialView",
                    data: { "Id": TeamId },
                    contentType: "application/json;charset=utf-8",
                    success: function (data) {

                        $("#editportion").show();
                        $("#Tname").val('Team A');
                        $("#editportion").html(data);
                        OnGetRowValues(TeamId);


                        return false;
                    },

                    error: function (textStatus, errorThrown) {

                        alert(textStatus);
                    }
                });
            }




        });





        function OnAddClick(SensorId) {
           
            $.ajax({
                type: "Get",
                url: "/ClientTeams/StructureDivisionSensors?SensorId=" + SensorId + "&StructureDivisionId=" + $("#SDIS").val() + "&TeamId=" + $("#TeamId").val(),

                contentType: "application/json;charset=utf-8",
                success: function (data) {

                    alert(data.result);
                    $("#editportion").show();
                    $("#editportion").show();
                },



                error: function (textStatus, errorThrown) {

                    alert(textStatus);
                }
            });

        }
        function OnRemoveClick(Id) {

            if (confirm("Are you sure you want to delete  ? "))
            {
                $.ajax({
                    type: "Get",
                    url: "/ClientTeams/DeleteTeam?id=" + Id,

                    contentType: "application/json;charset=utf-8",
                    success: function (data) {
                        $("#inner").html(data);
                    },
                    error: function (textStatus, errorThrown) {

                        alert(textStatus);
                    }
                });
            }
            else{
                return false;
            }
        }

        var selectedKeys = "";

        function editRow(s, e) {
            debugger;
            s.GetRowValues(e.visibleIndex, "Id", OnGetRowValues);
        }
        function OnGetRowValues(data) {

            debugger
    
            var value = data;


            $.ajax({
                url: '/ClientTeams/GetSensoreByClientTeamId?TeamId=' + data,
                datatype: "json",
                type: "get",
                contenttype: 'application/json; charset=utf-8',
                async: true,
                data: { "TeamId" : value },
                success: function (data) {
                    $("#Ts").html(data);

                },
                error: function (xhr) {
                    //alert(xhr.error);
                }
            });

        }



        function MyFunction(selectedValues) {

            var value = selectedValues;
            //alert(value);
            $.ajax({
                type: "Get",

                url: "/ClientTeams/EditTeamSensorPartialView",
                data: { "Id": value },
                contentType: "application/json;charset=utf-8",
                success: function (data) {
                    //alert("sucess");
                    $("#editportion").show();
                    $("#Tname").val('Team A');
                    $("#editportion").html(data);
                    OnGetRowValues(value);
                    //alert(JSON.stringify(data.result[0]))

                    return false;
                },

                error: function (textStatus, errorThrown) {

                    alert(textStatus);
                }
            });
        }



    </script>
}



          
        <!-- Start Second Menu -->
        <div class="second-menu">
            <h3>Teams</h3>
            @*<ul class="org-inner-menu">
                <li><a href="#">Contact Site Manager</a></li>
                <li><a href="#">Help</a></li>
                <li><a href="#">Report Error</a></li>
                <li><a href="#">Report Error</a></li>
            </ul>*@
        </div>
        <!-- End Second Menu -->
        <!-- Start Examples -->
        <div class="examples clientTeams">
    <div id="testDivNested">
        <div class="gray_bg">
            <div class="ensure2" id="errorssms"><i class="fa fa-check-circle" aria-hidden="true"></i> @ViewBag.msg</div>
            <!-- Start White Inner -->
            <div id="teams">
                <div class="white_inner">
                    <!-- Start teams -->
                    <div class="teams">
                        <div class="top_name">
                            Teams
                        </div>
                        <div class="inner" id="inner">
                            @Html.Action("GridViewPartial")
                        </div>
                        <a href="/ClientTeams/CreateTeam" class="btn_new">New Team</a>
                    </div>
                    <!-- End teams -->
                    <!-- Start teams -->
                    <div class="teams">
                        <div class="top_name">
                            [Teams] Sensors
                        </div>
                        <div class="inner2" id="Ts">

                            @Html.Action("TeamSensorPartialView")

                        </div>
                        <a href="/Sensors/Create" class="btn_new">Add Sensor</a>
                    </div>
                    <!-- End teams -->
                </div>
            </div>
            <!-- End White Inner -->
            <!-- Start Bottom Details -->
            <div id="editportion">

            </div>

            <!-- End Bottom Details -->
        </div>
    </div>
</div>
        <!-- End Examples -->



 <!-- Script Puted hare Because It's not Working Due to page laoding issues -->











    










